# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'Linx_gui.ui'
#
# Created by: PyQt5 UI code generator 5.9.2
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(972, 746)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(MainWindow.sizePolicy().hasHeightForWidth())
        MainWindow.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        MainWindow.setFont(font)
        MainWindow.setTabShape(QtWidgets.QTabWidget.Rounded)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.centralwidget.sizePolicy().hasHeightForWidth())
        self.centralwidget.setSizePolicy(sizePolicy)
        self.centralwidget.setObjectName("centralwidget")
        self.gridLayout = QtWidgets.QGridLayout(self.centralwidget)
        self.gridLayout.setObjectName("gridLayout")
        self.tabWidget = QtWidgets.QTabWidget(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tabWidget.sizePolicy().hasHeightForWidth())
        self.tabWidget.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.tabWidget.setFont(font)
        self.tabWidget.setLocale(QtCore.QLocale(QtCore.QLocale.English, QtCore.QLocale.UnitedStates))
        self.tabWidget.setTabPosition(QtWidgets.QTabWidget.North)
        self.tabWidget.setTabShape(QtWidgets.QTabWidget.Rounded)
        self.tabWidget.setUsesScrollButtons(True)
        self.tabWidget.setObjectName("tabWidget")
        self.tab = QtWidgets.QWidget()
        self.tab.setObjectName("tab")
        self.gridLayout_9 = QtWidgets.QGridLayout(self.tab)
        self.gridLayout_9.setObjectName("gridLayout_9")
        self.scrollArea = QtWidgets.QScrollArea(self.tab)
        self.scrollArea.setWidgetResizable(True)
        self.scrollArea.setObjectName("scrollArea")
        self.scrollAreaWidgetContents = QtWidgets.QWidget()
        self.scrollAreaWidgetContents.setGeometry(QtCore.QRect(0, 0, 928, 323))
        self.scrollAreaWidgetContents.setObjectName("scrollAreaWidgetContents")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.scrollAreaWidgetContents)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.groupBox = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        self.groupBox.setMinimumSize(QtCore.QSize(0, 90))
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.groupBox.setFont(font)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.ed_refcol = QtWidgets.QLineEdit(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ed_refcol.sizePolicy().hasHeightForWidth())
        self.ed_refcol.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_refcol.setFont(font)
        self.ed_refcol.setObjectName("ed_refcol")
        self.gridLayout_3.addWidget(self.ed_refcol, 1, 4, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.groupBox)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_2.setFont(font)
        self.label_2.setObjectName("label_2")
        self.gridLayout_3.addWidget(self.label_2, 1, 0, 1, 1)
        self.label_3 = QtWidgets.QLabel(self.groupBox)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_3.setFont(font)
        self.label_3.setObjectName("label_3")
        self.gridLayout_3.addWidget(self.label_3, 1, 3, 1, 1)
        self.label = QtWidgets.QLabel(self.groupBox)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label.setFont(font)
        self.label.setObjectName("label")
        self.gridLayout_3.addWidget(self.label, 0, 0, 1, 1)
        self.ed_datcol = QtWidgets.QLineEdit(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ed_datcol.sizePolicy().hasHeightForWidth())
        self.ed_datcol.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_datcol.setFont(font)
        self.ed_datcol.setObjectName("ed_datcol")
        self.gridLayout_3.addWidget(self.ed_datcol, 0, 4, 1, 1)
        self.ed_ncol = QtWidgets.QLineEdit(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ed_ncol.sizePolicy().hasHeightForWidth())
        self.ed_ncol.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_ncol.setFont(font)
        self.ed_ncol.setObjectName("ed_ncol")
        self.gridLayout_3.addWidget(self.ed_ncol, 0, 1, 1, 1)
        self.label_26 = QtWidgets.QLabel(self.groupBox)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_26.setFont(font)
        self.label_26.setObjectName("label_26")
        self.gridLayout_3.addWidget(self.label_26, 0, 3, 1, 1)
        self.ed_dBdtcol = QtWidgets.QLineEdit(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ed_dBdtcol.sizePolicy().hasHeightForWidth())
        self.ed_dBdtcol.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_dBdtcol.setFont(font)
        self.ed_dBdtcol.setObjectName("ed_dBdtcol")
        self.gridLayout_3.addWidget(self.ed_dBdtcol, 1, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_3.addItem(spacerItem, 1, 2, 1, 1)
        self.gridLayout_2.addWidget(self.groupBox, 0, 0, 2, 1)
        self.groupBox_2 = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.groupBox_2.setFont(font)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.label_5 = QtWidgets.QLabel(self.groupBox_2)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_5.setFont(font)
        self.label_5.setObjectName("label_5")
        self.gridLayout_4.addWidget(self.label_5, 1, 0, 1, 1)
        self.label_4 = QtWidgets.QLabel(self.groupBox_2)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_4.setFont(font)
        self.label_4.setObjectName("label_4")
        self.gridLayout_4.addWidget(self.label_4, 0, 0, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.groupBox_2)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_10.setFont(font)
        self.label_10.setObjectName("label_10")
        self.gridLayout_4.addWidget(self.label_10, 0, 6, 1, 1)
        self.ed_current = QtWidgets.QLineEdit(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ed_current.sizePolicy().hasHeightForWidth())
        self.ed_current.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_current.setFont(font)
        self.ed_current.setObjectName("ed_current")
        self.gridLayout_4.addWidget(self.ed_current, 0, 5, 1, 1)
        self.label_7 = QtWidgets.QLabel(self.groupBox_2)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_7.setFont(font)
        self.label_7.setObjectName("label_7")
        self.gridLayout_4.addWidget(self.label_7, 0, 2, 1, 1)
        self.label_9 = QtWidgets.QLabel(self.groupBox_2)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_9.setFont(font)
        self.label_9.setObjectName("label_9")
        self.gridLayout_4.addWidget(self.label_9, 1, 4, 1, 1)
        self.ed_PUarea = QtWidgets.QLineEdit(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ed_PUarea.sizePolicy().hasHeightForWidth())
        self.ed_PUarea.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_PUarea.setFont(font)
        self.ed_PUarea.setObjectName("ed_PUarea")
        self.gridLayout_4.addWidget(self.ed_PUarea, 1, 1, 1, 1)
        self.label_6 = QtWidgets.QLabel(self.groupBox_2)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_6.setFont(font)
        self.label_6.setObjectName("label_6")
        self.gridLayout_4.addWidget(self.label_6, 1, 2, 1, 1)
        self.ed_gain = QtWidgets.QLineEdit(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ed_gain.sizePolicy().hasHeightForWidth())
        self.ed_gain.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_gain.setFont(font)
        self.ed_gain.setObjectName("ed_gain")
        self.gridLayout_4.addWidget(self.ed_gain, 1, 5, 1, 1)
        self.cb_rms = QtWidgets.QCheckBox(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cb_rms.sizePolicy().hasHeightForWidth())
        self.cb_rms.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.cb_rms.setFont(font)
        self.cb_rms.setChecked(True)
        self.cb_rms.setObjectName("cb_rms")
        self.gridLayout_4.addWidget(self.cb_rms, 1, 6, 1, 1)
        self.label_8 = QtWidgets.QLabel(self.groupBox_2)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_8.setFont(font)
        self.label_8.setObjectName("label_8")
        self.gridLayout_4.addWidget(self.label_8, 0, 4, 1, 1)
        self.ed_srate = QtWidgets.QLineEdit(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ed_srate.sizePolicy().hasHeightForWidth())
        self.ed_srate.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_srate.setFont(font)
        self.ed_srate.setObjectName("ed_srate")
        self.gridLayout_4.addWidget(self.ed_srate, 0, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_4.addItem(spacerItem1, 1, 3, 1, 1)
        self.gridLayout_2.addWidget(self.groupBox_2, 0, 1, 2, 2)
        self.pB_load_conf = QtWidgets.QPushButton(self.scrollAreaWidgetContents)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pB_load_conf.sizePolicy().hasHeightForWidth())
        self.pB_load_conf.setSizePolicy(sizePolicy)
        self.pB_load_conf.setMinimumSize(QtCore.QSize(80, 25))
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.pB_load_conf.setFont(font)
        self.pB_load_conf.setObjectName("pB_load_conf")
        self.gridLayout_2.addWidget(self.pB_load_conf, 0, 3, 1, 1)
        self.pB_save_conf = QtWidgets.QPushButton(self.scrollAreaWidgetContents)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pB_save_conf.sizePolicy().hasHeightForWidth())
        self.pB_save_conf.setSizePolicy(sizePolicy)
        self.pB_save_conf.setMinimumSize(QtCore.QSize(80, 25))
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.pB_save_conf.setFont(font)
        self.pB_save_conf.setObjectName("pB_save_conf")
        self.gridLayout_2.addWidget(self.pB_save_conf, 1, 3, 1, 1)
        self.groupBox_4 = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox_4.sizePolicy().hasHeightForWidth())
        self.groupBox_4.setSizePolicy(sizePolicy)
        self.groupBox_4.setMaximumSize(QtCore.QSize(16777215, 16777215))
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.groupBox_4.setFont(font)
        self.groupBox_4.setObjectName("groupBox_4")
        self.gridLayout_6 = QtWidgets.QGridLayout(self.groupBox_4)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.rb_RB = QtWidgets.QRadioButton(self.groupBox_4)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.rb_RB.setFont(font)
        self.rb_RB.setChecked(True)
        self.rb_RB.setObjectName("rb_RB")
        self.gridLayout_6.addWidget(self.rb_RB, 0, 0, 1, 1)
        self.cb_inphase = QtWidgets.QCheckBox(self.groupBox_4)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.cb_inphase.setFont(font)
        self.cb_inphase.setChecked(True)
        self.cb_inphase.setObjectName("cb_inphase")
        self.gridLayout_6.addWidget(self.cb_inphase, 0, 1, 1, 1)
        self.cb_up = QtWidgets.QCheckBox(self.groupBox_4)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.cb_up.setFont(font)
        self.cb_up.setObjectName("cb_up")
        self.gridLayout_6.addWidget(self.cb_up, 0, 2, 1, 1)
        self.rb_Rt = QtWidgets.QRadioButton(self.groupBox_4)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.rb_Rt.setFont(font)
        self.rb_Rt.setObjectName("rb_Rt")
        self.gridLayout_6.addWidget(self.rb_Rt, 1, 0, 1, 1)
        self.cb_outphase = QtWidgets.QCheckBox(self.groupBox_4)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.cb_outphase.setFont(font)
        self.cb_outphase.setChecked(True)
        self.cb_outphase.setObjectName("cb_outphase")
        self.gridLayout_6.addWidget(self.cb_outphase, 1, 1, 1, 1)
        self.cb_down = QtWidgets.QCheckBox(self.groupBox_4)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.cb_down.setFont(font)
        self.cb_down.setObjectName("cb_down")
        self.gridLayout_6.addWidget(self.cb_down, 1, 2, 1, 1)
        self.label_25 = QtWidgets.QLabel(self.groupBox_4)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_25.setFont(font)
        self.label_25.setObjectName("label_25")
        self.gridLayout_6.addWidget(self.label_25, 3, 0, 1, 1)
        self.cmb_sample = QtWidgets.QComboBox(self.groupBox_4)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.cmb_sample.setFont(font)
        self.cmb_sample.setObjectName("cmb_sample")
        self.gridLayout_6.addWidget(self.cmb_sample, 3, 1, 1, 1)
        self.gridLayout_2.addWidget(self.groupBox_4, 2, 2, 1, 2)
        self.groupBox_5 = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox_5.sizePolicy().hasHeightForWidth())
        self.groupBox_5.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.groupBox_5.setFont(font)
        self.groupBox_5.setObjectName("groupBox_5")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.groupBox_5)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.pB_load_data = QtWidgets.QPushButton(self.groupBox_5)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.pB_load_data.setFont(font)
        self.pB_load_data.setObjectName("pB_load_data")
        self.gridLayout_7.addWidget(self.pB_load_data, 0, 0, 1, 1)
        self.label_19 = QtWidgets.QLabel(self.groupBox_5)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_19.sizePolicy().hasHeightForWidth())
        self.label_19.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_19.setFont(font)
        self.label_19.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_19.setObjectName("label_19")
        self.gridLayout_7.addWidget(self.label_19, 0, 7, 1, 2)
        self.ed_thin_out = QtWidgets.QLineEdit(self.groupBox_5)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ed_thin_out.sizePolicy().hasHeightForWidth())
        self.ed_thin_out.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_thin_out.setFont(font)
        self.ed_thin_out.setObjectName("ed_thin_out")
        self.gridLayout_7.addWidget(self.ed_thin_out, 0, 9, 1, 1)
        self.label_status = QtWidgets.QLabel(self.groupBox_5)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_status.setFont(font)
        self.label_status.setText("")
        self.label_status.setObjectName("label_status")
        self.gridLayout_7.addWidget(self.label_status, 1, 6, 1, 2)
        self.cb_binfile = QtWidgets.QCheckBox(self.groupBox_5)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.cb_binfile.setFont(font)
        self.cb_binfile.setChecked(True)
        self.cb_binfile.setObjectName("cb_binfile")
        self.gridLayout_7.addWidget(self.cb_binfile, 1, 0, 1, 1)
        self.pB_batch = QtWidgets.QPushButton(self.groupBox_5)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pB_batch.sizePolicy().hasHeightForWidth())
        self.pB_batch.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.pB_batch.setFont(font)
        self.pB_batch.setObjectName("pB_batch")
        self.gridLayout_7.addWidget(self.pB_batch, 1, 2, 1, 1)
        self.label_20 = QtWidgets.QLabel(self.groupBox_5)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_20.setFont(font)
        self.label_20.setObjectName("label_20")
        self.gridLayout_7.addWidget(self.label_20, 0, 1, 1, 1)
        self.pB_save_data = QtWidgets.QPushButton(self.groupBox_5)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.pB_save_data.setFont(font)
        self.pB_save_data.setObjectName("pB_save_data")
        self.gridLayout_7.addWidget(self.pB_save_data, 1, 9, 1, 1)
        self.label_file_opened = QtWidgets.QLabel(self.groupBox_5)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_file_opened.setFont(font)
        self.label_file_opened.setObjectName("label_file_opened")
        self.gridLayout_7.addWidget(self.label_file_opened, 0, 2, 1, 5)
        self.label_21 = QtWidgets.QLabel(self.groupBox_5)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_21.setFont(font)
        self.label_21.setObjectName("label_21")
        self.gridLayout_7.addWidget(self.label_21, 1, 3, 1, 1)
        self.label_22 = QtWidgets.QLabel(self.groupBox_5)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_22.setFont(font)
        self.label_22.setObjectName("label_22")
        self.gridLayout_7.addWidget(self.label_22, 1, 4, 1, 1)
        self.gridLayout_2.addWidget(self.groupBox_5, 3, 0, 1, 4)
        self.groupBox_3 = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox_3.sizePolicy().hasHeightForWidth())
        self.groupBox_3.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.groupBox_3.setFont(font)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.label_18 = QtWidgets.QLabel(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_18.setFont(font)
        self.label_18.setObjectName("label_18")
        self.gridLayout_5.addWidget(self.label_18, 1, 5, 1, 1)
        self.label_16 = QtWidgets.QLabel(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_16.setFont(font)
        self.label_16.setObjectName("label_16")
        self.gridLayout_5.addWidget(self.label_16, 0, 5, 1, 1)
        self.cb_dbdtsub = QtWidgets.QCheckBox(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.cb_dbdtsub.setFont(font)
        self.cb_dbdtsub.setObjectName("cb_dbdtsub")
        self.gridLayout_5.addWidget(self.cb_dbdtsub, 2, 5, 1, 2)
        self.ed_TC = QtWidgets.QLineEdit(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_TC.setFont(font)
        self.ed_TC.setObjectName("ed_TC")
        self.gridLayout_5.addWidget(self.ed_TC, 0, 6, 1, 1)
        self.label_14 = QtWidgets.QLabel(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_14.setFont(font)
        self.label_14.setObjectName("label_14")
        self.gridLayout_5.addWidget(self.label_14, 1, 0, 1, 1)
        self.label_11 = QtWidgets.QLabel(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_11.setFont(font)
        self.label_11.setObjectName("label_11")
        self.gridLayout_5.addWidget(self.label_11, 0, 3, 1, 1)
        self.ed_cutoff = QtWidgets.QLineEdit(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_cutoff.setFont(font)
        self.ed_cutoff.setObjectName("ed_cutoff")
        self.gridLayout_5.addWidget(self.ed_cutoff, 0, 1, 1, 2)
        self.label_17 = QtWidgets.QLabel(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_17.setFont(font)
        self.label_17.setObjectName("label_17")
        self.gridLayout_5.addWidget(self.label_17, 1, 7, 1, 1)
        self.ed_manphase = QtWidgets.QLineEdit(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_manphase.setFont(font)
        self.ed_manphase.setObjectName("ed_manphase")
        self.gridLayout_5.addWidget(self.ed_manphase, 1, 6, 1, 1)
        self.label_12 = QtWidgets.QLabel(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_12.setFont(font)
        self.label_12.setObjectName("label_12")
        self.gridLayout_5.addWidget(self.label_12, 0, 0, 1, 1)
        self.ed_modrate = QtWidgets.QLineEdit(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.ed_modrate.setFont(font)
        self.ed_modrate.setReadOnly(True)
        self.ed_modrate.setObjectName("ed_modrate")
        self.gridLayout_5.addWidget(self.ed_modrate, 1, 1, 1, 2)
        self.lab_TC_unit = QtWidgets.QLabel(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.lab_TC_unit.setFont(font)
        self.lab_TC_unit.setObjectName("lab_TC_unit")
        self.gridLayout_5.addWidget(self.lab_TC_unit, 0, 7, 1, 1)
        self.label_13 = QtWidgets.QLabel(self.groupBox_3)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.label_13.setFont(font)
        self.label_13.setObjectName("label_13")
        self.gridLayout_5.addWidget(self.label_13, 1, 3, 1, 1)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_5.addItem(spacerItem2, 0, 4, 1, 1)
        self.gridLayout_2.addWidget(self.groupBox_3, 2, 0, 1, 2)
        self.scrollArea.setWidget(self.scrollAreaWidgetContents)
        self.gridLayout_9.addWidget(self.scrollArea, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tab, "")
        self.tab_3 = QtWidgets.QWidget()
        self.tab_3.setObjectName("tab_3")
        self.gridLayout_15 = QtWidgets.QGridLayout(self.tab_3)
        self.gridLayout_15.setObjectName("gridLayout_15")
        self.scrollArea_4 = QtWidgets.QScrollArea(self.tab_3)
        self.scrollArea_4.setWidgetResizable(True)
        self.scrollArea_4.setObjectName("scrollArea_4")
        self.scrollAreaWidgetContents_4 = QtWidgets.QWidget()
        self.scrollAreaWidgetContents_4.setGeometry(QtCore.QRect(0, 0, 810, 196))
        self.scrollAreaWidgetContents_4.setObjectName("scrollAreaWidgetContents_4")
        self.gridLayout_8 = QtWidgets.QGridLayout(self.scrollAreaWidgetContents_4)
        self.gridLayout_8.setObjectName("gridLayout_8")
        self.label_38 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_38.setObjectName("label_38")
        self.gridLayout_8.addWidget(self.label_38, 5, 3, 1, 1)
        self.cmb_filttype = QtWidgets.QComboBox(self.scrollAreaWidgetContents_4)
        self.cmb_filttype.setObjectName("cmb_filttype")
        self.cmb_filttype.addItem("")
        self.cmb_filttype.addItem("")
        self.cmb_filttype.addItem("")
        self.gridLayout_8.addWidget(self.cmb_filttype, 0, 1, 1, 1)
        self.label_28 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_28.setObjectName("label_28")
        self.gridLayout_8.addWidget(self.label_28, 1, 0, 1, 1)
        self.ed_dbdt_hp_cutoff = QtWidgets.QLineEdit(self.scrollAreaWidgetContents_4)
        self.ed_dbdt_hp_cutoff.setObjectName("ed_dbdt_hp_cutoff")
        self.gridLayout_8.addWidget(self.ed_dbdt_hp_cutoff, 5, 4, 1, 1)
        self.cmb_sigtype = QtWidgets.QComboBox(self.scrollAreaWidgetContents_4)
        self.cmb_sigtype.setObjectName("cmb_sigtype")
        self.cmb_sigtype.addItem("")
        self.cmb_sigtype.addItem("")
        self.gridLayout_8.addWidget(self.cmb_sigtype, 4, 1, 1, 1)
        self.label_35 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_35.setObjectName("label_35")
        self.gridLayout_8.addWidget(self.label_35, 2, 5, 1, 1)
        self.ed_filt_order = QtWidgets.QLineEdit(self.scrollAreaWidgetContents_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ed_filt_order.sizePolicy().hasHeightForWidth())
        self.ed_filt_order.setSizePolicy(sizePolicy)
        self.ed_filt_order.setObjectName("ed_filt_order")
        self.gridLayout_8.addWidget(self.ed_filt_order, 1, 1, 1, 1)
        self.ed_passband_atten = QtWidgets.QLineEdit(self.scrollAreaWidgetContents_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ed_passband_atten.sizePolicy().hasHeightForWidth())
        self.ed_passband_atten.setSizePolicy(sizePolicy)
        self.ed_passband_atten.setObjectName("ed_passband_atten")
        self.gridLayout_8.addWidget(self.ed_passband_atten, 0, 4, 1, 1)
        self.ed_stopband_atten = QtWidgets.QLineEdit(self.scrollAreaWidgetContents_4)
        self.ed_stopband_atten.setObjectName("ed_stopband_atten")
        self.gridLayout_8.addWidget(self.ed_stopband_atten, 1, 4, 1, 1)
        self.label_33 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_33.setObjectName("label_33")
        self.gridLayout_8.addWidget(self.label_33, 1, 3, 1, 1)
        self.label_30 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_30.setObjectName("label_30")
        self.gridLayout_8.addWidget(self.label_30, 0, 5, 1, 1)
        self.label_34 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_34.setObjectName("label_34")
        self.gridLayout_8.addWidget(self.label_34, 2, 3, 1, 1)
        self.label_37 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_37.setObjectName("label_37")
        self.gridLayout_8.addWidget(self.label_37, 4, 0, 1, 1)
        self.label_31 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_31.setObjectName("label_31")
        self.gridLayout_8.addWidget(self.label_31, 0, 3, 1, 1)
        self.ed_stopband_freq = QtWidgets.QLineEdit(self.scrollAreaWidgetContents_4)
        self.ed_stopband_freq.setObjectName("ed_stopband_freq")
        self.gridLayout_8.addWidget(self.ed_stopband_freq, 2, 4, 1, 1)
        self.label_27 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_27.setObjectName("label_27")
        self.gridLayout_8.addWidget(self.label_27, 0, 0, 1, 1)
        self.label_32 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_32.setObjectName("label_32")
        self.gridLayout_8.addWidget(self.label_32, 1, 5, 1, 1)
        self.ed_phase_accuracy = QtWidgets.QLineEdit(self.scrollAreaWidgetContents_4)
        self.ed_phase_accuracy.setObjectName("ed_phase_accuracy")
        self.gridLayout_8.addWidget(self.ed_phase_accuracy, 5, 1, 1, 1)
        self.label_36 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        font = QtGui.QFont()
        font.setFamily("Arial")
        font.setPointSize(20)
        self.label_36.setFont(font)
        self.label_36.setObjectName("label_36")
        self.gridLayout_8.addWidget(self.label_36, 6, 0, 1, 6)
        self.label_29 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_29.setObjectName("label_29")
        self.gridLayout_8.addWidget(self.label_29, 1, 2, 1, 1)
        self.label_39 = QtWidgets.QLabel(self.scrollAreaWidgetContents_4)
        self.label_39.setObjectName("label_39")
        self.gridLayout_8.addWidget(self.label_39, 5, 0, 1, 1)
        spacerItem3 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_8.addItem(spacerItem3, 3, 3, 1, 1)
        self.scrollArea_4.setWidget(self.scrollAreaWidgetContents_4)
        self.gridLayout_15.addWidget(self.scrollArea_4, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tab_3, "")
        self.tab_2 = QtWidgets.QWidget()
        self.tab_2.setObjectName("tab_2")
        self.gridLayout_14 = QtWidgets.QGridLayout(self.tab_2)
        self.gridLayout_14.setObjectName("gridLayout_14")
        self.plainTextEdit = QtWidgets.QPlainTextEdit(self.tab_2)
        self.plainTextEdit.setEnabled(True)
        font = QtGui.QFont()
        font.setUnderline(False)
        self.plainTextEdit.setFont(font)
        self.plainTextEdit.setTextInteractionFlags(QtCore.Qt.TextSelectableByMouse)
        self.plainTextEdit.setObjectName("plainTextEdit")
        self.gridLayout_14.addWidget(self.plainTextEdit, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tab_2, "")
        self.gridLayout.addWidget(self.tabWidget, 0, 0, 1, 2)
        self.tab_plots = QtWidgets.QTabWidget(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tab_plots.sizePolicy().hasHeightForWidth())
        self.tab_plots.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily("Times")
        font.setPointSize(10)
        self.tab_plots.setFont(font)
        self.tab_plots.setTabPosition(QtWidgets.QTabWidget.East)
        self.tab_plots.setObjectName("tab_plots")
        self.tab_4 = QtWidgets.QWidget()
        self.tab_4.setObjectName("tab_4")
        self.gridLayout_10 = QtWidgets.QGridLayout(self.tab_4)
        self.gridLayout_10.setObjectName("gridLayout_10")
        self.scrollArea_2 = QtWidgets.QScrollArea(self.tab_4)
        self.scrollArea_2.setWidgetResizable(True)
        self.scrollArea_2.setObjectName("scrollArea_2")
        self.scrollAreaWidgetContents_2 = QtWidgets.QWidget()
        self.scrollAreaWidgetContents_2.setGeometry(QtCore.QRect(0, 0, 907, 283))
        self.scrollAreaWidgetContents_2.setObjectName("scrollAreaWidgetContents_2")
        self.gridLayout_12 = QtWidgets.QGridLayout(self.scrollAreaWidgetContents_2)
        self.gridLayout_12.setObjectName("gridLayout_12")
        self.plot_signal_left = PlotWidget(self.scrollAreaWidgetContents_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.plot_signal_left.sizePolicy().hasHeightForWidth())
        self.plot_signal_left.setSizePolicy(sizePolicy)
        self.plot_signal_left.setObjectName("plot_signal_left")
        self.gridLayout_12.addWidget(self.plot_signal_left, 0, 0, 1, 1)
        self.plot_signal_right = PlotWidget(self.scrollAreaWidgetContents_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.plot_signal_right.sizePolicy().hasHeightForWidth())
        self.plot_signal_right.setSizePolicy(sizePolicy)
        self.plot_signal_right.setObjectName("plot_signal_right")
        self.gridLayout_12.addWidget(self.plot_signal_right, 0, 1, 1, 1)
        self.scrollArea_2.setWidget(self.scrollAreaWidgetContents_2)
        self.gridLayout_10.addWidget(self.scrollArea_2, 0, 0, 1, 1)
        self.tab_plots.addTab(self.tab_4, "")
        self.tab_5 = QtWidgets.QWidget()
        self.tab_5.setObjectName("tab_5")
        self.gridLayout_11 = QtWidgets.QGridLayout(self.tab_5)
        self.gridLayout_11.setObjectName("gridLayout_11")
        self.scrollArea_3 = QtWidgets.QScrollArea(self.tab_5)
        self.scrollArea_3.setWidgetResizable(True)
        self.scrollArea_3.setObjectName("scrollArea_3")
        self.scrollAreaWidgetContents_3 = QtWidgets.QWidget()
        self.scrollAreaWidgetContents_3.setGeometry(QtCore.QRect(0, 0, 166, 89))
        self.scrollAreaWidgetContents_3.setObjectName("scrollAreaWidgetContents_3")
        self.gridLayout_13 = QtWidgets.QGridLayout(self.scrollAreaWidgetContents_3)
        self.gridLayout_13.setObjectName("gridLayout_13")
        self.plot_field_left = PlotWidget(self.scrollAreaWidgetContents_3)
        self.plot_field_left.setObjectName("plot_field_left")
        self.gridLayout_13.addWidget(self.plot_field_left, 0, 0, 1, 1)
        self.plot_field_right = PlotWidget(self.scrollAreaWidgetContents_3)
        self.plot_field_right.setObjectName("plot_field_right")
        self.gridLayout_13.addWidget(self.plot_field_right, 0, 1, 1, 1)
        self.scrollArea_3.setWidget(self.scrollAreaWidgetContents_3)
        self.gridLayout_11.addWidget(self.scrollArea_3, 0, 0, 1, 1)
        self.tab_plots.addTab(self.tab_5, "")
        self.gridLayout.addWidget(self.tab_plots, 1, 0, 1, 2)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 972, 21))
        self.menubar.setObjectName("menubar")
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)
        self.actionOuvrir = QtWidgets.QAction(MainWindow)
        self.actionOuvrir.setObjectName("actionOuvrir")
        self.actionSauver = QtWidgets.QAction(MainWindow)
        self.actionSauver.setObjectName("actionSauver")
        self.actionQuitter = QtWidgets.QAction(MainWindow)
        self.actionQuitter.setObjectName("actionQuitter")

        self.retranslateUi(MainWindow)
        self.tabWidget.setCurrentIndex(0)
        self.tab_plots.setCurrentIndex(0)
        self.ed_cutoff.returnPressed.connect(MainWindow.UI_cutoffHz)
        self.ed_TC.returnPressed.connect(MainWindow.UI_cutoffms)
        self.ed_srate.returnPressed.connect(MainWindow.UI_config)
        self.ed_manphase.returnPressed.connect(MainWindow.UI_config)
        self.ed_PUarea.returnPressed.connect(MainWindow.UI_config)
        self.ed_current.returnPressed.connect(MainWindow.UI_config)
        self.ed_gain.returnPressed.connect(MainWindow.UI_config)
        self.cb_rms.clicked.connect(MainWindow.plot_lpass)
        self.ed_ncol.editingFinished.connect(MainWindow.UI_config_raw)
        self.ed_dBdtcol.editingFinished.connect(MainWindow.UI_config_raw)
        self.ed_refcol.editingFinished.connect(MainWindow.UI_config_raw)
        self.ed_datcol.editingFinished.connect(MainWindow.UI_config_raw)
        self.cmb_filttype.activated['int'].connect(MainWindow.plot_lpass)
        self.ed_filt_order.returnPressed.connect(MainWindow.plot_lpass)
        self.ed_passband_atten.returnPressed.connect(MainWindow.plot_lpass)
        self.ed_stopband_atten.returnPressed.connect(MainWindow.plot_lpass)
        self.ed_stopband_freq.returnPressed.connect(MainWindow.plot_lpass)
        self.ed_dbdt_hp_cutoff.returnPressed.connect(MainWindow.data_artifact)
        self.ed_phase_accuracy.returnPressed.connect(MainWindow.plot_lpass)
        self.rb_RB.clicked.connect(MainWindow.plot_combobox)
        self.rb_Rt.clicked.connect(MainWindow.plot_combobox)
        self.cmb_sample.activated['int'].connect(MainWindow.plot_combobox)
        self.cb_inphase.clicked.connect(MainWindow.plot_combobox)
        self.cb_outphase.clicked.connect(MainWindow.plot_combobox)
        self.cb_dbdtsub.clicked.connect(MainWindow.data_artifact)
        self.cb_up.clicked.connect(MainWindow.plot_combobox)
        self.cb_down.clicked.connect(MainWindow.plot_combobox)
        self.tab_plots.currentChanged['int'].connect(MainWindow.plot_combobox)
        self.pB_load_conf.clicked.connect(MainWindow.f_loadconfig)
        self.pB_save_conf.clicked.connect(MainWindow.f_saveconfig)
        self.pB_batch.clicked.connect(MainWindow.f_batch)
        self.pB_load_data.clicked.connect(MainWindow.f_load_data)
        self.pB_save_data.clicked.connect(MainWindow.f_savefile)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)
        MainWindow.setTabOrder(self.ed_ncol, self.ed_datcol)
        MainWindow.setTabOrder(self.ed_datcol, self.ed_dBdtcol)
        MainWindow.setTabOrder(self.ed_dBdtcol, self.ed_refcol)
        MainWindow.setTabOrder(self.ed_refcol, self.ed_srate)
        MainWindow.setTabOrder(self.ed_srate, self.ed_current)
        MainWindow.setTabOrder(self.ed_current, self.ed_PUarea)
        MainWindow.setTabOrder(self.ed_PUarea, self.ed_gain)
        MainWindow.setTabOrder(self.ed_gain, self.cb_rms)
        MainWindow.setTabOrder(self.cb_rms, self.pB_load_conf)
        MainWindow.setTabOrder(self.pB_load_conf, self.pB_save_conf)
        MainWindow.setTabOrder(self.pB_save_conf, self.ed_cutoff)
        MainWindow.setTabOrder(self.ed_cutoff, self.ed_TC)
        MainWindow.setTabOrder(self.ed_TC, self.ed_modrate)
        MainWindow.setTabOrder(self.ed_modrate, self.ed_manphase)
        MainWindow.setTabOrder(self.ed_manphase, self.cb_dbdtsub)
        MainWindow.setTabOrder(self.cb_dbdtsub, self.rb_RB)
        MainWindow.setTabOrder(self.rb_RB, self.rb_Rt)
        MainWindow.setTabOrder(self.rb_Rt, self.cb_inphase)
        MainWindow.setTabOrder(self.cb_inphase, self.cb_outphase)
        MainWindow.setTabOrder(self.cb_outphase, self.cb_up)
        MainWindow.setTabOrder(self.cb_up, self.cb_down)
        MainWindow.setTabOrder(self.cb_down, self.pB_load_data)
        MainWindow.setTabOrder(self.pB_load_data, self.cb_binfile)
        MainWindow.setTabOrder(self.cb_binfile, self.ed_thin_out)
        MainWindow.setTabOrder(self.ed_thin_out, self.pB_save_data)
        MainWindow.setTabOrder(self.pB_save_data, self.ed_filt_order)
        MainWindow.setTabOrder(self.ed_filt_order, self.cmb_filttype)
        MainWindow.setTabOrder(self.cmb_filttype, self.ed_passband_atten)
        MainWindow.setTabOrder(self.ed_passband_atten, self.ed_stopband_atten)
        MainWindow.setTabOrder(self.ed_stopband_atten, self.ed_dbdt_hp_cutoff)
        MainWindow.setTabOrder(self.ed_dbdt_hp_cutoff, self.plainTextEdit)
        MainWindow.setTabOrder(self.plainTextEdit, self.tab_plots)
        MainWindow.setTabOrder(self.tab_plots, self.tabWidget)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "Linx 2.0"))
        self.groupBox.setTitle(_translate("MainWindow", "Raw File Options"))
        self.ed_refcol.setText(_translate("MainWindow", "2"))
        self.label_2.setText(_translate("MainWindow", "dB/dt col. n°"))
        self.label_3.setText(_translate("MainWindow", "Ref. col. n°"))
        self.label.setText(_translate("MainWindow", "Column # :"))
        self.ed_datcol.setText(_translate("MainWindow", "3"))
        self.ed_ncol.setText(_translate("MainWindow", "3"))
        self.label_26.setText(_translate("MainWindow", "Data. col. n°"))
        self.ed_dBdtcol.setText(_translate("MainWindow", "1"))
        self.groupBox_2.setTitle(_translate("MainWindow", "Experimental Settings"))
        self.label_5.setText(_translate("MainWindow", "Pickup Coil Area :"))
        self.label_4.setText(_translate("MainWindow", "Sample Rate :"))
        self.label_10.setText(_translate("MainWindow", "mA"))
        self.ed_current.setText(_translate("MainWindow", "1"))
        self.label_7.setText(_translate("MainWindow", "Hz"))
        self.label_9.setText(_translate("MainWindow", "Gain :"))
        self.ed_PUarea.setText(_translate("MainWindow", "4.666e-4"))
        self.label_6.setText(_translate("MainWindow", "m2"))
        self.ed_gain.setText(_translate("MainWindow", "200"))
        self.cb_rms.setText(_translate("MainWindow", "RMS"))
        self.label_8.setText(_translate("MainWindow", "Intensity :"))
        self.ed_srate.setText(_translate("MainWindow", "500000"))
        self.pB_load_conf.setText(_translate("MainWindow", "Load Config"))
        self.pB_save_conf.setText(_translate("MainWindow", "Save Config"))
        self.groupBox_4.setTitle(_translate("MainWindow", "Plot Options"))
        self.rb_RB.setText(_translate("MainWindow", "R(B)"))
        self.cb_inphase.setText(_translate("MainWindow", "In phase"))
        self.cb_up.setText(_translate("MainWindow", "Up"))
        self.rb_Rt.setText(_translate("MainWindow", "R(t)"))
        self.cb_outphase.setText(_translate("MainWindow", "Out of phase"))
        self.cb_down.setText(_translate("MainWindow", "Down"))
        self.label_25.setText(_translate("MainWindow", "Sample :"))
        self.groupBox_5.setTitle(_translate("MainWindow", "Load & Save"))
        self.pB_load_data.setText(_translate("MainWindow", "Load Data"))
        self.label_19.setText(_translate("MainWindow", "Thin out :"))
        self.ed_thin_out.setText(_translate("MainWindow", "10"))
        self.cb_binfile.setText(_translate("MainWindow", "Binary File"))
        self.pB_batch.setText(_translate("MainWindow", "Batch"))
        self.label_20.setText(_translate("MainWindow", "File Opened :"))
        self.pB_save_data.setText(_translate("MainWindow", "Save Data"))
        self.label_file_opened.setText(_translate("MainWindow", "none"))
        self.label_21.setText(_translate("MainWindow", "Files Treated :"))
        self.label_22.setText(_translate("MainWindow", "--"))
        self.groupBox_3.setTitle(_translate("MainWindow", "Analysis Parameters"))
        self.label_18.setText(_translate("MainWindow", "Manual Phase :"))
        self.label_16.setText(_translate("MainWindow", "Time Constant :"))
        self.cb_dbdtsub.setText(_translate("MainWindow", "dB/dt subtraction"))
        self.ed_TC.setText(_translate("MainWindow", "1.0"))
        self.label_14.setText(_translate("MainWindow", "Modulation Rate :"))
        self.label_11.setText(_translate("MainWindow", "Hz"))
        self.ed_cutoff.setText(_translate("MainWindow", "1000"))
        self.label_17.setText(_translate("MainWindow", "°"))
        self.ed_manphase.setText(_translate("MainWindow", "0"))
        self.label_12.setText(_translate("MainWindow", "Lowpass Cutoff :"))
        self.ed_modrate.setText(_translate("MainWindow", "0"))
        self.lab_TC_unit.setText(_translate("MainWindow", "us"))
        self.label_13.setText(_translate("MainWindow", "Hz"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab), _translate("MainWindow", "Configuration"))
        self.label_38.setText(_translate("MainWindow", "dbdt highpass cutoff :"))
        self.cmb_filttype.setItemText(0, _translate("MainWindow", "ButterWorth"))
        self.cmb_filttype.setItemText(1, _translate("MainWindow", "Elliptic"))
        self.cmb_filttype.setItemText(2, _translate("MainWindow", "Chebyshev"))
        self.label_28.setText(_translate("MainWindow", "Filter order :"))
        self.ed_dbdt_hp_cutoff.setText(_translate("MainWindow", "auto"))
        self.cmb_sigtype.setItemText(0, _translate("MainWindow", "Sinusoidal"))
        self.cmb_sigtype.setItemText(1, _translate("MainWindow", "Triangular"))
        self.label_35.setText(_translate("MainWindow", "x Cutoff"))
        self.ed_filt_order.setText(_translate("MainWindow", "auto"))
        self.ed_passband_atten.setText(_translate("MainWindow", "3"))
        self.ed_stopband_atten.setText(_translate("MainWindow", "24"))
        self.label_33.setText(_translate("MainWindow", "Stopband attenuation :"))
        self.label_30.setText(_translate("MainWindow", "dB"))
        self.label_34.setText(_translate("MainWindow", "Stopband frequency :"))
        self.label_37.setText(_translate("MainWindow", "Signal Type :"))
        self.label_31.setText(_translate("MainWindow", "Passband attenuation :"))
        self.ed_stopband_freq.setText(_translate("MainWindow", "2"))
        self.label_27.setText(_translate("MainWindow", "Filter Type :"))
        self.label_32.setText(_translate("MainWindow", "dB"))
        self.ed_phase_accuracy.setText(_translate("MainWindow", "2"))
        self.label_36.setText(_translate("MainWindow", "Messing with these parameters may produce meaningless results"))
        self.label_29.setText(_translate("MainWindow", "\"n\" or \"auto\" "))
        self.label_39.setText(_translate("MainWindow", "Phase accuracy :"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_3), _translate("MainWindow", "Advanced Options"))
        self.plainTextEdit.setPlainText(_translate("MainWindow", "Aide à l\'utilisation du lock-in numérique :\n"
"\n"
"1) Raw Configuration : contient toute les données concernant le formatage du fichier de données brut.\n"
"    i) Nombre de colonnes (en général 2*nombre d\'échantillon +1)\n"
"    ii) Colonne contenant le dbdt (en général colonne 1)\n"
"    iii) Colonne(s) de référence : plusieurs colonnes peuvent être indiquées séparées par une \",\" (ex : 2,3)\n"
"    iv) Colonnes contenant la mesure échantillon. Les colonnes sont une fois de plus séparées par une \",\".\n"
"\n"
"Dans le cas où une seule colonne de référence est indiquée, cette colonne est utilisée pour chaque échantillon. Dans le cas de plusieurs colonnes de référence, elles sont associées directement avec les colonnes de données correspondantes. Le nombre de colonne de référence doit dans ce cas être identique au nombre de colonnes de données (quitte a répéter la même colonne de référence plusieurs fois colref = \"1,2,2\" coldata=\"3,4,5\")\n"
"\n"
"2) Experimental Settings : contient tous les paramètres expérimentaux.\n"
"    i) Sample rate : fréquence d\'échantillonage de la carte d\'acquisition\n"
"    ii) PU Area : surface de la pickup en m2\n"
"    iii) Intensity : intensité du courant émis par le lockin en mA\n"
"    iv) Gain : le gain :)\n"
"\n"
"Deux boutons permettant de sauvegarder ou de charger les fichier de configuration sont disponibles. Ils permettent de sauver et de restaurer l\'état de tous les champs éditables.\n"
"\n"
"3) Analysis Parameters : contient tous les paramètres concernant le traitement des données.\n"
"    i) Lowpass Cutoff : fréquence de coupure du filtre passe-bas. Cette fréquence définie directement le champ \"Time Constant\". Une modification du champ \"Time Constant\" modifie également le champ \"Lowpass Cutoff\"\n"
"    ii) Modulation Rate : champ non éditable contenant la fréquence du signale de référence (fréquence de modulation du lock-in)\n"
"    iii) Par défaut le calcul cherche à obtenir un signal hors-phase minimum et un signal en pahse maximum. Il est toutefois possible d\'ajouter un déphasage manuel afin d\'inverser les deux canaux par exemple.\n"
"    iv) Spikes Eraser : une fois cochée, le signal brut est retraité afin de tenir compte des \"spikes\". Une analyse de la dérivée du signal brut est effectuée afin de supprimer les anomalies. Le signal est ensuite intégré et retraité. Décocher la case réaffiche le signal d\'origine.\n"
"\n"
"4) Plot options : choix de l\'affichage R(B) ou R(t) et choix de l\'échantillon a afficher. L\'échantillon 1 correspond à la première colonne de données, etc ...\n"
"\n"
"5) Load and Save : chargement des fichiers a analyser et sauvegarde des données traitées.\n"
"    i) Load Data : charge un fichier binaire unique et le traite en fonction des champs remplis dans les parties précédentes.\n"
"    ii) Save Data : sauvegarde les données traitées dans un fichier choisi par l\'utilisateur. Le champ Thin-out associé permet de réduire le nombre de points sauvegardé.\n"
"    iii) Batch : permet de traiter une série de fichiers à la chaine sans affichage. Les fichiers sont sauvegardés dans des fichiers texte : \"input_out.txt\" avec input le nom du fichier brut. Seule l\'analyse des spikes n\'est pas prise en compte dans ce cas."))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_2), _translate("MainWindow", "Help"))
        self.tab_plots.setTabText(self.tab_plots.indexOf(self.tab_4), _translate("MainWindow", "Signal"))
        self.tab_plots.setTabText(self.tab_plots.indexOf(self.tab_5), _translate("MainWindow", "Field"))
        self.actionOuvrir.setText(_translate("MainWindow", "Ouvrir ..."))
        self.actionSauver.setText(_translate("MainWindow", "Sauver ..."))
        self.actionQuitter.setText(_translate("MainWindow", "Quitter"))

from pyqtgraph import PlotWidget
